=== data/images/nickicons/CMakeLists.txt ===
add_subdirectory(alternative)
add_subdirectory(christmas)
add_subdirectory(classic)
add_subdirectory(default)
add_subdirectory(smiling)
add_subdirectory(square)
add_subdirectory(simplistic)
add_subdirectory(oxygen)
