=== debian/changelog ===
konversation (1.7.5-3ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Mar 2020 19:06:06 +0100

konversation (1.7.5-3ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Use python3 for the scripts (no changes necessary), use python3
      as the shebang.
    - debian/patches: Retain kubuntu_default_channels.diff in place of
      debian equivalent.
    - debian/patches: don't adopt debian_debug_autoreplace.diff
    - Keep Kubuntu VCS fields.
    - wrap-and-sort

 -- Rik Mills <rikmills@kde.org>  Wed, 13 Nov 2019 10:10:07 +0000

konversation (1.7.5-3) unstable; urgency=medium

  * Team upload.
  * Switch the Python scripts to Python 3: (Closes: #942112)
    - add the dh-python, and python3 build dependencies
    - use the python3 dh addon
    - invoke dh_python3 on the proper data directory in konversation-data
    - use the ${python3:Depends} substvar in konversation-data, removing the
      manual python3 recommend
  * Remove TODO.Debian, as the missing man page is an upstream issue.
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat

 -- Pino Toscano <pino@debian.org>  Mon, 11 Nov 2019 19:49:13 +0100

konversation (1.7.5-2ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Use python3 for the scripts (no changes necessary), use python3
      as the shebang and recommend python3 instead of python.
    - debian/patches: Retain kubuntu_default_channels.diff in place of
      debian equivalent.
    - debian/patches: don't adopt debian_debug_autoreplace.diff
    - Keep Kubuntu VCS fields.
    - wrap-and-sort

 -- Rik Mills <rikmills@kde.org>  Tue, 05 Nov 2019 23:08:06 +0000

konversation (1.7.5-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Add the configuration for the CI on salsa.
  * Backport upstream commit 4d0036617becc26a76fd021138c98aceec4c7b53 to fix
    build with newer KF; patch upstream_Fix-build-with-Qt-5.13.patch.
  * Explicitly add the gettext build dependency.

 -- Pino Toscano <pino@debian.org>  Thu, 10 Oct 2019 06:54:58 +0200

konversation (1.7.5-1ubuntu3) eoan; urgency=medium

  * Use python3 for the scripts (no changes necessary), use python3
    as the shebang and recommend python3 instead of python.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Oct 2019 15:52:41 +0200

konversation (1.7.5-1ubuntu2) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 13:39:29 +0200

konversation (1.7.5-1ubuntu1) cosmic; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - debian/patches: Retain kubuntu_default_channels.diff in place of
      debian equivalent.
    - debian/patches: don't adopt debian_debug_autoreplace.diff
    - debian/control: Keep additional breaks/replaces on konversation-data.
    - Keep Kubuntu VCS fields, as we maintain our own packaging
    - wrap-and-sort

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 02 Jul 2018 13:51:36 +0100

konversation (1.7.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
    - remove --parallel for dh, as now done by default
  * Switch from dh_install to dh_missing for --fail-missing.
  * Switch Homepage to https.
  * Bump Standards-Version to 4.1.4, no changes required.
  * Remove empty line at the end of changelog.

 -- Pino Toscano <pino@debian.org>  Wed, 27 Jun 2018 07:44:35 +0200
