=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

override_dh_install:
	dh_install
	# Install scripts README (and rename)
	if [ -d debian/konversation ]; then \
	    cp -a data/scripts/README debian/konversation/usr/share/doc/konversation/README.scripts; \
	fi

override_dh_python3:
	dh_python3 -p konversation-data --shebang=/usr/bin/python3 /usr/share/konversation

override_dh_strip:
	dh_strip --dbgsym-migration='konversation-dbg (<< 1.6-3~)'

override_dh_missing:
	dh_missing --fail-missing

%:
	dh  $@ --with kf5,python3
