## konversation 1.7.5.1%2Brb2

=== debian/changelog ===
konversation (1.7.5.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Thu, 28 Jan 2021 10:59:18 +0800
