=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,7 @@
 include(ECMAddAppIcon)
-
+include(ECMQtDeclareLoggingCategory)
+
+include_directories(SYSTEM ${PHONON_INCLUDES})
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/config)
 include_directories(config dcc irc viewer upnp)
 
@@ -138,8 +140,8 @@
     viewer/topiclabel.cpp
     viewer/awaylabel.cpp
     viewer/editnotifydialog.cpp
-    viewer/emoticons.cpp
     viewer/images.cpp
+    viewer/nickiconset.cpp
     viewer/quickbutton.cpp
     viewer/searchbar.cpp
     viewer/irccontextmenus.cpp
@@ -211,6 +213,23 @@
 
 kconfig_add_kcfg_files(konversation_SRCS config/preferences_base.kcfgc)
 
+qt5_add_resources(konversation_SRCS
+    konversation.qrc
+)
+
+ecm_qt_declare_logging_category(konversation_SRCS
+    HEADER konversation_log.h
+    IDENTIFIER KONVERSATION_LOG
+    CATEGORY_NAME konversation
+    DESCRIPTION "Konversation"
+    EXPORT KONVERSATION
+)
+
+ecm_setup_version(${KONVERSATION_VERSION}
+    VARIABLE_PREFIX KONVI
+    VERSION_HEADER version.h
+)
+
 # Sets the icon on Windows and OSX
 file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../data/images/icons/*apps-konversation.png")
 ecm_add_app_icon(konversation_SRCS ICONS ${ICONS_SRCS})
@@ -218,19 +237,18 @@
 add_executable(konversation ${konversation_SRCS})
 
 target_link_libraries(konversation
+    Qt5::Network
     Qt5::Widgets
     KF5::Archive
     KF5::Bookmarks
     KF5::ConfigWidgets
     KF5::Crash
-    KF5::Emoticons
     KF5::I18n
     KF5::IdleTime
     KF5::NotifyConfig
     KF5::KIOFileWidgets
     KF5::KIOWidgets
     KF5::Parts
-    KF5::Solid
     KF5::Wallet
     KF5::WidgetsAddons
     KF5::GlobalAccel
@@ -238,8 +256,8 @@
     KF5::CoreAddons
     KF5::Notifications
     KF5::WindowSystem
-    KF5::IconThemes
     KF5::ItemViews
+    KF5::NewStuff
     Phonon::phonon4qt5)
 
 if (Qca-qt5_FOUND)
@@ -249,4 +267,11 @@
   target_link_libraries(konversation ws2_32) # for symbols from winsock2.h: ntohl, etc.
 endif()
 
-install(TARGETS konversation ${INSTALL_TARGETS_DEFAULT_ARGS})
+set_target_properties(konversation PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/MacOSXBundleInfo.plist.in)
+install(TARGETS konversation ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
+
+ecm_qt_install_logging_categories(
+    EXPORT KONVERSATION
+    FILE konversation.categories
+    DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}"
+)
