=== data/images/nickicons/CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,7 @@
 add_subdirectory(christmas)
 add_subdirectory(classic)
 add_subdirectory(default)
+add_subdirectory(default-dark)
 add_subdirectory(smiling)
 add_subdirectory(square)
 add_subdirectory(simplistic)
