=== debian/changelog ===
konversation (20.12.1-1) unstable; urgency=medium

  * Team upload.
  * Add upstream metadata.
  * Rewrite copyright information in DEP-5 machine readable format.
  * New upstream release (20.12.1).
  * Refresh patches.
  * Build with hardening=+all build hardening flag.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 11 Jan 2021 16:36:20 +0100

konversation (20.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Upstream uses the release-service, so switch the watch file, and the GPG
    signing key to it.
  * Bump Standards-Version to 4.5.1, no changes required.
  * Update Vcs-* fields.
  * Switch Maintainer to Debian Qt/KDE Maintainers, with myself as Uploader;
    the former Uploaders are removed, as they have not done work in many years,
    thanks for your past work!
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.5
    - bump Qt packages to 5.12.0
    - bump KF packages to 5.71.0
    - add libkf5newstuff-dev
    - remove libkf5emoticons-dev, libkf5solid-dev, and libkf5iconthemes-dev
  * Update the patches:
    - debian_dbug_autoreplace.diff: update to the upstream code
    - debian_channel.diff: refresh
  * Update/simplify install files.

 -- Pino Toscano <pino@debian.org>  Wed, 16 Dec 2020 12:29:30 +0100

konversation (1.7.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Tue, 27 Oct 2020 11:11:54 +0100

konversation (1.7.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Change the python3 build dependency to python3:any, as Python is needed
    only as build tool.
  * Fix day-of-week for changelog entry 0.12pre13+cvs20031011-2.
  * Update standards version to 4.5.0, no changes needed.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
    - stop passing --fail-missing to dh_missing, as it is the default now
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Add Rules-Requires-Root: no.
  * Add the upstream GPG signing key.
  * Update the patches:
    - upstream_Fix-build-with-Qt-5.13.patch: drop, backported from upstream

 -- Pino Toscano <pino@debian.org>  Wed, 30 Sep 2020 07:37:21 +0200
