=== debian/control ===
Source: konversation
Section: net
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: debhelper-compat (= 13), cmake (>= 3.5~),
 pkg-kde-tools (>= 0.15.16),
 extra-cmake-modules (>= 5.71.0~),
 gettext,
 qtbase5-dev (>= 5.12.0~),
 libkf5archive-dev (>= 5.71.0~),
 libkf5bookmarks-dev (>= 5.71.0~),
 libkf5config-dev (>= 5.71.0~),
 libkf5configwidgets-dev (>= 5.71.0~),
 libkf5coreaddons-dev (>= 5.71.0~),
 libkf5crash-dev (>= 5.71.0~),
 libkf5doctools-dev (>= 5.71.0~),
 libkf5idletime-dev (>= 5.71.0~),
 libkf5i18n-dev (>= 5.71.0~),
 libkf5kio-dev (>= 5.71.0~),
 libkf5newstuff-dev (>= 5.71.0~),
 libkf5notifyconfig-dev (>= 5.71.0~),
 libkf5parts-dev (>= 5.71.0~),
 libkf5wallet-dev (>= 5.71.0~),
 libkf5widgetsaddons-dev (>= 5.71.0~),
 libkf5globalaccel-dev (>= 5.71.0~),
 libkf5dbusaddons-dev (>= 5.71.0~),
 libkf5notifications-dev (>= 5.71.0~),
 libkf5windowsystem-dev (>= 5.71.0~),
 libphonon4qt5-dev (>= 4.6.60),
 libphonon4qt5experimental-dev (>= 4.6.60),
 libqca-qt5-2-dev (>= 2.1.0),
 dh-python,
 python3:any,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://konversation.kde.org/
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/konversation.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/konversation

Package: konversation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, konversation-data (= ${source:Version})
Provides: irc
Description: user friendly Internet Relay Chat (IRC) client for KDE
 Konversation is a client for the Internet Relay Chat (IRC) protocol.
 It is easy to use and well-suited for novice IRC users, but novice
 and experienced users alike will appreciate its many features:
 .
       * Standard IRC features
       * Easy to use graphical interface
       * Multiple server and channel tabs in a single window
       * IRC color support
       * Pattern-based message highlighting and OnScreen Display
       * Multiple identities for different servers
       * Multi-language scripting support (with DCOP)
       * Customizable command aliases
       * NickServ-aware log-on (for registered nicknames)
       * Smart logging
       * Traditional or enhanced-shell-style nick completion
       * DCC file transfer with resume support

Package: konversation-data
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, ${python3:Depends},
Recommends: konversation (>= ${source:Version}),
Description: data files for Konversation
 Konversation is a client for the Internet Relay Chat (IRC) protocol. This
 package contains data files for Konversation. It is probably of no use if
 `konversation' package is not installed.
