## konversation 20.12.3

=== debian/changelog ===
konversation (20.12.3-0ubuntu1.1) hirsute; urgency=medium

  * Switch default network to irc.libera.chat (LP: #1929378)

 -- Rik Mills <rikmills@kde.org>  Thu, 27 May 2021 11:00:55 +0100

konversation (20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:24:21 +0000

konversation (20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:57:48 +0000

konversation (20.12.1-1ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/patches: Retain kubuntu_default_channels.diff in place of
      debian equivalent.
    - debian/patches: don't adopt debian_debug_autoreplace.diff
    - Keep Kubuntu VCS fields.
    - wrap-and-sort

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Jan 2021 13:18:31 +0000

konversation (20.12.0-1ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/patches: Retain kubuntu_default_channels.diff in place of
      debian equivalent.
    - debian/patches: don't adopt debian_debug_autoreplace.diff
    - Keep Kubuntu VCS fields.
    - wrap-and-sort

 -- Rik Mills <rikmills@kde.org>  Fri, 18 Dec 2020 15:28:05 +0000

konversation (20.12.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.0)
  * Update build deps according to cmake.
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Dec 2020 14:30:59 +0000

konversation (1.7.7-1ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/patches: Retain kubuntu_default_channels.diff in place of
      debian equivalent.
    - debian/patches: don't adopt debian_debug_autoreplace.diff
    - Keep Kubuntu VCS fields.
    - wrap-and-sort

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Oct 2020 08:02:48 +0000
