## konversation 21.08.1

=== debian/changelog ===
konversation (21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:36:52 +0100

konversation (21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:05:59 +0100

konversation (21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:59:50 +0100

konversation (21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:36:22 +0100

konversation (21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)
  * Update kubuntu_default-channels.diff

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:47:08 +0100

konversation (21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:44:06 +0100

konversation (21.04.1-0ubuntu2) impish; urgency=medium

  * Switch default network to irc.libera.chat (LP: #1929378)

 -- Rik Mills <rikmills@kde.org>  Mon, 24 May 2021 08:53:52 +0100

konversation (21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:10:42 +0100

konversation (21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:40:42 +0100
