## konversation 21.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
-cmake_minimum_required (VERSION 3.5 FATAL_ERROR)
+cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 
 # Release Service version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "20")
+set (RELEASE_SERVICE_VERSION_MAJOR "21")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump KONVERSATION_BASE_VERSION once new features are added
@@ -13,7 +13,7 @@
 project(konversation VERSION ${KONVERSATION_VERSION})
 
 set (QT_MIN_VERSION "5.12.0")
-set(KF5_MIN_VERSION "5.71.0")
+set(KF5_MIN_VERSION "5.74.0")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
@@ -27,6 +27,11 @@
 include(FeatureSummary)
 
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED Core Network Widgets)
+find_package(Qt5X11Extras ${QT_MIN_VERSION} CONFIG)
+set_package_properties(Qt5X11Extras PROPERTIES
+    PURPOSE "Needed for startup activation handling on X11"
+    TYPE OPTIONAL
+)
 
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED
     Archive
@@ -53,13 +58,18 @@
 
 find_package(Phonon4Qt5 4.6.60 REQUIRED)
 
-find_package(Qca-qt5 2.1.0)
+find_package(Qca-qt5 2.2.0)
 set_package_properties(Qca-qt5 PROPERTIES DESCRIPTION "Support for encryption"
                        URL "https://download.kde.org/stable/qca/"
                        TYPE OPTIONAL)
 check_include_file("stropts.h" HAVE_STROPTS_H)
 
 set(HAVE_QCA2 ${Qca-qt5_FOUND})
+if(TARGET Qt5::X11Extras)
+    set(HAVE_X11 TRUE)
+else()
+    set(HAVE_X11 FALSE)
+endif()
 
 configure_file(config-konversation.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-konversation.h )
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
@@ -71,7 +81,7 @@
   -DQT_NO_CAST_FROM_BYTEARRAY
   -DQT_NO_CAST_TO_ASCII
   -DQT_NO_CAST_FROM_ASCII
-# -DQT_NO_SIGNALS_SLOTS_KEYWORDS FIXME KF5 Port: QCA includes cause trouble.
+  -DQT_NO_KEYWORDS
   -DQT_NO_FOREACH
   -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT
 )
