=== src/CMakeLists.txt ===
--- 
+++ 
@@ -26,6 +26,8 @@
     connectionsettings.cpp
     identity.cpp
     identitydialog.cpp
+
+    konversation.qrc
 
     #=== GUI
     urlcatcher.cpp
@@ -213,10 +215,6 @@
 
 kconfig_add_kcfg_files(konversation_SRCS config/preferences_base.kcfgc)
 
-qt5_add_resources(konversation_SRCS
-    konversation.qrc
-)
-
 ecm_qt_declare_logging_category(konversation_SRCS
     HEADER konversation_log.h
     IDENTIFIER KONVERSATION_LOG
@@ -260,6 +258,10 @@
     KF5::NewStuff
     Phonon::phonon4qt5)
 
+if(TARGET Qt5::X11Extras)
+    target_link_libraries(konversation Qt5::X11Extras)
+endif()
+
 if (Qca-qt5_FOUND)
     target_link_libraries(konversation qca-qt5)
 endif ()
