=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: konversation
 Section: net
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
@@ -30,6 +31,7 @@
                libphonon4qt5-dev (>= 4.6.60),
                libphonon4qt5experimental-dev (>= 4.6.60),
                libqca-qt5-2-dev (>= 2.1.0),
+               libqt5x11extras5-dev,
                pkg-kde-tools (>= 0.15.16),
                python3:any,
                qtbase5-dev (>= 5.12.0~),
