=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 override_dh_install:
 	dh_install
@@ -15,8 +15,5 @@
 override_dh_strip:
 	dh_strip --dbgsym-migration='konversation-dbg (<< 1.6-3~)'
 
-override_dh_missing:
-	dh_missing --fail-missing
-
 %:
 	dh  $@ --with kf5,python3
