## konversation 22.08.1

=== debian/changelog ===
konversation (22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:43:37 +0100

konversation (22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:53:08 +0100

konversation (22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:30:52 +0100

konversation (22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:05:15 +0100

konversation (22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:04:11 +0100

konversation (22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)
  * New build depend on qtmultimedia5-dev
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:51:44 +0100
