=== debian/control ===
--- 
+++ 
@@ -35,6 +35,7 @@
                pkg-kde-tools (>= 0.15.16),
                python3:any,
                qtbase5-dev (>= 5.12.0~),
+               qtmultimedia5-dev,
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://konversation.kde.org/
